<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>
<hr />

<div id="tab-container-1<?php echo $form->getObject()->getId() ?>">
    <?php echo form_tag_for($form, '@cadence', array('name' => 'cadence_form')) ?>
    <?php echo $form->renderHiddenFields() ?>

    <ul class="error_list">
        <?php foreach($form->getErrorsNice() as $key => $value): ?>
            <li><?php echo $key ?>. <?php echo $value ?></li>
        <?php endforeach; ?>
    </ul>

    <div class="cl"></div>

    <?php foreach($configuration->getFormFields($form, $form->isNew() ? 'new' : 'edit') as $fieldset => $fields): ?>
        <?php include_partial('cadence/form_fieldset', array('cadence' => $cadence, 'form' => $form, 'fields' => $fields, 'fieldset' => $fieldset)) ?>
    <?php endforeach; ?>

    <div class="cl"></div>

    <div style="float: right;">
        <?php include_partial('cadence/form_actions', array('cadence' => $cadence, 'form' => $form, 'configuration' => $configuration, 'helper' => $helper)) ?>
    </div>
    <?php echo '</form>'; ?>
</div>
