<?php if ($form->hasGlobalErrors()): ?>
    <?php echo '<div class="error_list">'.$form->renderGlobalErrors().'</div>'; ?>
<?php endif; ?>

<form action="<?php echo url_for('session_collection', array('action' => 'filter')) ?>" method="post" name="filter_form">
    <?php echo $form->renderHiddenFields() ?>
    <table cellspacing="0">
        <tfoot>
            <tr>
                <td>
                    <hr />
                    <table>
                        <tr>
                            <td>
                                <?php echo link_to(__('Wyczyść'), 'session/filter?reset=true') ?>
                            </td>
                            <td>
                                <?php echo button_to_function(__('Szukaj'),"filter_form.submit()",array('class'=>'big_show','style'=>'background-color: white; float: right;')); ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </tfoot>
        <tbody>
            <?php foreach ($configuration->getFormFilterFields($form) as $name => $field): ?>
                <?php if((isset($form[$name]) && $form[$name]->isHidden()) || (!isset($form[$name]) && $field->isReal())) continue ?>
                <?php
                    include_partial('cadence_session/filters_field',array
                    (
                        'name'		=> $name,
                        'attributes'    => $field->getConfig('attributes', array()),
                        'label'		=> $field->getConfig('label'),
                        'help'		=> $field->getConfig('help'),
                        'form'		=> $form,
                        'field'		=> $field
                    ));
                ?>
            <?php endforeach; ?>
        </tbody>
    </table>
</form>
