<?php if($field->isPartial()): ?>
    <?php include_partial('cadence_session/'.$name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php elseif($field->isComponent()): ?>
    <?php include_component('cadence_session', $name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php else: ?>
    <tr>
        <?php if($name != 'description'): ?>
            <td class="label_right" style="width: 160px;"><?php echo $form[$name]->renderLabel($label) ?>:</td>
        <?php endif; ?>

        <td>
            <?php echo $form[$name]->renderError(); ?>
            <?php if($name != 'description' || !$form->isNew()): ?>
                <?php echo $form[$name]->render($attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes); ?>                
            <?php else: ?>
                <span class="error">Aby dodać treść musisz zapisać sesję.</span>
            <?php endif; ?>
        </td>
    </tr>

    <?php if($name != 'description'): ?>
        <tr>
            <td>&nbsp;</td>
            <td class="help">
                <?php if($help): ?>
                <div class="help"><?php echo __($help, array(), 'messages') ?></div>
            <?php elseif($help = $form[$name]->renderHelp()): ?>
                <div class="help"><?php echo $help ?></div>
            <?php endif; ?>
            </td>
        </tr>
    <?php endif; ?>
<?php endif; ?>
