<div class="sf_admin_list">
    <?php if(!$pager->getNbResults()): ?>
        <p><?php echo __('No result', array(), 'sf_admin') ?></p>
    <?php else: ?>
        <table class="table_list">
            <thead>
                <tr>
                    <th style="width: 14px"><input id="sf_admin_list_batch_checkbox" type="checkbox" onclick="checkAll();" /></th>
                    <?php include_partial('cadence_session/list_th_tabular', array('sort' => $sort)) ?>
                    <th style="width: 70px"><?php echo __('Actions', array(), 'sf_admin') ?></th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <th colspan="7">
                        <?php if($pager->haveToPaginate()): ?>
                            <?php include_partial('cadence_session/pagination', array('pager' => $pager)) ?>
                        <?php endif; ?>
                        <div class="page_results">
                            <?php echo format_number_choice('[0] no result|[1] 1 result|(1,+Inf] %1% results', array('%1%' => $pager->getNbResults()), $pager->getNbResults(), 'sf_admin') ?>
                            <?php if($pager->haveToPaginate()): ?>
                                <?php echo __('(page %%page%%/%%nb_pages%%)', array('%%page%%' => $pager->getPage(), '%%nb_pages%%' => $pager->getLastPage()), 'sf_admin') ?>
                            <?php endif; ?>
                        </div>
                    </th>
                </tr>
            </tfoot>
            <tbody>
                <?php foreach($pager->getResults() as $i => $session): $odd = fmod(++$i, 2) ? 'odd' : 'even' ?>
                    <tr class="row_<?php echo $odd ?>" valign="top">
                        <?php include_partial('cadence_session/list_td_batch_actions', array('session' => $session, 'helper' => $helper)) ?>
                        <?php include_partial('cadence_session/list_td_tabular', array('session' => $session)) ?>
                        <?php include_partial('cadence_session/list_td_actions', array('session' => $session, 'helper' => $helper)) ?>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php endif; ?>
</div>
<script type="text/javascript">
    /* <![CDATA[ */
    function checkAll()
    {
        var boxes = document.getElementsByTagName('input');
        for (var index = 0; index < boxes.length; index++) {
            box = boxes[index];
            if (box.type == 'checkbox' && box.className == 'sf_admin_batch_checkbox')
                box.checked = document.getElementById('sf_admin_list_batch_checkbox').checked
        }
        return true;
    }
    /* ]]> */
</script>
