<?php
if(!empty($session))
{

    // [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
    $shrank = isset($shrink) && $shrink == true;

    // [PRESET] kolumnowosc
    $side_styled = isset($side_style) && is_numeric($side_style);

    // [PRESET] szerokosc zajawek
    if(empty($zaj_width))
        $zaj_width = 100;

    // [PRESET] etykietowanie:
    if(method_exists('LabelsMapTblPeer', 'getLabel'))
        $label = LabelsMapTblPeer::getLabel(60, $session->getCadenceId());

    $etykieta = '';
    if(!empty($label))
        $etykieta = $label->getHtml();

    // [PRESET] alt
    $alt = '';

    // [PRESET] title
    $title = $session->getTitle();

    // [PRESET] link
    $link = 'sesje_obrad/show?id='.$session->getId().'&junk='.Functions::slugify($title);

// *****************************************************************************
    ?>
    <div class="zajawka" style="width: <?php echo $zaj_width; ?>%;">

        <a href="<?php echo url_for($link); ?>">

            <span class="box-right">

                <?php if(!empty($trafnosc)) echo $trafnosc; ?>

                <span class="title">
                    <?php echo $etykieta.trim($title); ?>
                </span>

                <?php if(!$shrank): ?>

                    <div class="info">
                        <?php $position = $session->getCadenceStructure(); ?>
                        <?php //if(($session->getUpdatedAt())) echo '<br/>'.__('Data aktualizacji').': <b>'.$session->getUpdatedAt('Y-m-d').'</b>'; ?>
                        <?php echo __('Kadencja').': <b>'.$session->getCadence()->getTitle().'</b>'; ?>, 
                        <?php echo __('Rok').': <b>'.$position->getParentCadence()->getTitle().'</b>'; ?>, 
                        <?php echo __('Miesiąc').': <b>'.$position->getTitle().'</b>'; ?>, 
                        <?php echo __('Data sesji').': <b>'.$session->getSessionDate('Y-m-d').'</b>'; ?>
                    </div>
                    <span class="link">
                        <?php echo __(sfConfig::get('app_see_more_def')); ?>
                    </span>

                <?php endif; ?>
            </span>
        </a>
    </div>
    <?php
}
?>