<?php
// [PRESET] etykietowanie
if(method_exists('LabelsMapTblPeer', 'getLabel'))
    $label = LabelsMapTblPeer::getLabel(60, null);

$etykieta = '';
if(!empty($label))
    $etykieta = $label->getHtml();

// breadcrumbs *****************************************************************
//slot('navigator');
$cadence = $session->getCadence();
$path = array(__('Sesje obrad') => '@sesje_list', $cadence->getTitle() => '@sesje_list_cadence?cadence_id='.$cadence->getId(), $session->getTitle() => '@sesje_show?id='.$session->getId().'&junk='.Functions::slugify($session->getTitle()));
//include_partial('Common/nawigator', array('path' => $path));
//end_slot();
$_SESSION['navigator_path'] = serialize($path);
?>

<article itemscope itemtype="http://schema.org/NewsArticle">
    
    <meta itemprop="description" content="<?php echo Functions::generujSkrotTekstu(strip_tags($session->getDescription()), 255); ?>" />
    <meta itemprop="datePublished" content="<?php echo $session->getCreatedAt('c'); ?>" />

    <header>
        <h2 class="title" itemprop="headline">
            <?php echo $etykieta.$session->getTitle(); ?>
        </h2>
        <?php // include_component('sesje_obrad', 'wyszukiwarka'); // to jest to samo co menu, wiec nie ma po co dublowac, tym bardziej, ze to do niczego podobne nie jest   ?>
        <?php
        // lektor audio
        if(!empty($audio_path))
            include_partial('Common/mp3', array('audio_path' => $audio_path));
        ?>        
    </header>

    <div class="info">
        <?php $position = $session->getCadenceStructure(); ?>
        <?php //if(($session->getUpdatedAt())) echo '<br/>'.__('Data aktualizacji').': <b>'.$session->getUpdatedAt('Y-m-d').'</b>';  ?>
        <?php echo __('Kadencja').': <strong class="date">'.$session->getCadence()->getTitle().'</strong>'; ?>, 
        <?php echo __('Rok').': <strong>'.$position->getParentCadence()->getTitle().'</strong>'; ?>, 
        <?php echo __('Miesiąc').': <strong>'.$position->getTitle().'</strong>'; ?>, 
        <?php echo __('Data sesji').': <strong>'.$session->getSessionDate('Y-m-d').'</strong>'; ?>
    </div>

    <?php /* wersja z drzewkiem ?>
      <div class="info tree_small">
      <?php echo __('Kadencja'); ?>:
      <div class="subtree">
      <?php echo $session->getCadence()->getTitle(); ?>
      <div class="subtree">
      <?php $position = $session->getCadenceStructure(); ?>
      <?php echo $position->getParentCadence()->getTitle(); ?>
      <div class="subtree">
      <?php echo $position->getTitle(); ?>
      </div>
      </div>
      </div>
      </div>
     */ ?>
    <div class="clr"></div>

    <div class="tresc" itemprop="articleBody">
        <?php echo $session->getDescription(); ?>            
    </div>

    <div class="bottom">
        <?php if(in_array('mkbl', ModulPeer::getEnabled())) include_partial('Common/microblog', array('tytul' => $session->getTitle())); ?>
        <?php if(in_array('rate', ModulPeer::getEnabled())) include_component('Common', 'rating', array('module_short' => 'seso', 'obj_id' => $session->getId(), 'title' => 'Oceń ten artykuł')); ?>
        <?php include_partial('akcje', array('pdf' => 1, 'print' => 1, 'back' => 1, 'report' => 1, 'id' => $session->getId(), 'title' => $session->getTitle())); ?>
        <div class="cl"></div>
    </div>

    <div class="clr"></div>

    <?php if(count($zalaczniki)): ?>    
        <?php include_partial('Common/powiazane_zalaczniki', array('modul'=>'sesje_obrad', 'id'=>$session->getId(),'preview_mode' => false, 'zalaczniki' => $zalaczniki, 'baseurl' => 'sesje_obrad/download?file_id=%s&session_id='.$session->getId())); ?>        
    <?php endif; ?> 

</article>