-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 31 Sty 2017, 11:18
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.4.45

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cadence`
--

CREATE TABLE IF NOT EXISTS `cadence` (
  `id` int(11) NOT NULL,
  `order` int(11) DEFAULT NULL,
  `title` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cadence_structure`
--

CREATE TABLE IF NOT EXISTS `cadence_structure` (
  `id` int(11) NOT NULL,
  `order` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `cadence_id` int(11) NOT NULL,
  `title` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `session`
--

CREATE TABLE IF NOT EXISTS `session` (
  `id` int(11) NOT NULL,
  `order` int(11) DEFAULT NULL,
  `cadence_id` int(11) NOT NULL,
  `struct_pos_id` int(11) NOT NULL,
  `session_date` datetime NOT NULL,
  `title` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `description` text COLLATE utf8_polish_ci,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `session_attachment`
--

CREATE TABLE IF NOT EXISTS `session_attachment` (
  `id` int(11) NOT NULL,
  `session_id` int(11) NOT NULL,
  `issue_number` int(11) DEFAULT NULL,
  `order` int(11) DEFAULT NULL,
  `zalacznik_id` int(11) NOT NULL,
  `zalacznik_kolejnosc` int(5) NOT NULL DEFAULT '0',
  `zalacznik_widoczny` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `session_pub`
--

CREATE TABLE IF NOT EXISTS `session_pub` (
  `id` int(11) NOT NULL,
  `order` int(11) DEFAULT NULL,
  `cadence_id` int(11) NOT NULL,
  `struct_pos_id` int(11) NOT NULL,
  `session_date` datetime NOT NULL,
  `title` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `description` text COLLATE utf8_polish_ci,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `session_pub_attachment`
--

CREATE TABLE IF NOT EXISTS `session_pub_attachment` (
  `id` int(11) NOT NULL,
  `session_id` int(11) NOT NULL,
  `issue_number` int(11) DEFAULT NULL,
  `order` int(11) DEFAULT NULL,
  `zalacznik_id` int(11) NOT NULL,
  `zalacznik_kolejnosc` int(5) NOT NULL DEFAULT '0',
  `zalacznik_widoczny` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `cadence`
--
ALTER TABLE `cadence`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `cadence_structure`
--
ALTER TABLE `cadence_structure`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cadence_structure_FI_1` (`parent_id`),
  ADD KEY `cadence_structure_FI_2` (`cadence_id`);

--
-- Indexes for table `session`
--
ALTER TABLE `session`
  ADD PRIMARY KEY (`id`),
  ADD KEY `session_FI_1` (`cadence_id`),
  ADD KEY `session_FI_2` (`struct_pos_id`);

--
-- Indexes for table `session_attachment`
--
ALTER TABLE `session_attachment`
  ADD PRIMARY KEY (`id`),
  ADD KEY `session_attachment_FI_1` (`session_id`),
  ADD KEY `session_attachment_FI_2` (`zalacznik_id`);

--
-- Indexes for table `session_pub`
--
ALTER TABLE `session_pub`
  ADD PRIMARY KEY (`id`),
  ADD KEY `session_pub_FI_1` (`cadence_id`),
  ADD KEY `session_pub_FI_2` (`struct_pos_id`);

--
-- Indexes for table `session_pub_attachment`
--
ALTER TABLE `session_pub_attachment`
  ADD PRIMARY KEY (`id`),
  ADD KEY `session_pub_attachment_FI_1` (`session_id`),
  ADD KEY `session_pub_attachment_FI_2` (`zalacznik_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `cadence`
--
ALTER TABLE `cadence`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `cadence_structure`
--
ALTER TABLE `cadence_structure`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `session`
--
ALTER TABLE `session`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `session_attachment`
--
ALTER TABLE `session_attachment`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `cadence_structure`
--
ALTER TABLE `cadence_structure`
  ADD CONSTRAINT `cadence_structure_FK_1` FOREIGN KEY (`parent_id`) REFERENCES `cadence_structure` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `cadence_structure_FK_2` FOREIGN KEY (`cadence_id`) REFERENCES `cadence` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `session`
--
ALTER TABLE `session`
  ADD CONSTRAINT `session_FK_1` FOREIGN KEY (`cadence_id`) REFERENCES `cadence` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `session_FK_2` FOREIGN KEY (`struct_pos_id`) REFERENCES `cadence_structure` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `session_attachment`
--
ALTER TABLE `session_attachment`
  ADD CONSTRAINT `session_attachment_FK_1` FOREIGN KEY (`session_id`) REFERENCES `session` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `session_attachment_FK_2` FOREIGN KEY (`zalacznik_id`) REFERENCES `zalacznik` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `session_pub`
--
ALTER TABLE `session_pub`
  ADD CONSTRAINT `session_pub_FK_1` FOREIGN KEY (`cadence_id`) REFERENCES `cadence` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `session_pub_FK_2` FOREIGN KEY (`struct_pos_id`) REFERENCES `cadence_structure` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `session_pub_attachment`
--
ALTER TABLE `session_pub_attachment`
  ADD CONSTRAINT `session_pub_attachment_FK_1` FOREIGN KEY (`session_id`) REFERENCES `session_pub` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `session_pub_attachment_FK_2` FOREIGN KEY (`zalacznik_id`) REFERENCES `zalacznik_pub` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
--
-- Zrzut danych tabeli `modul`
--

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(60, 'seso', 1, 1, 0, 'Sesje obrad', 3, 1, 1);

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
