<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * CadenceStructure filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseCadenceStructureFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'order'      => new sfWidgetFormFilterInput(),
      'parent_id'  => new sfWidgetFormPropelChoice(array('model' => 'CadenceStructure', 'add_empty' => true)),
      'cadence_id' => new sfWidgetFormPropelChoice(array('model' => 'Cadence', 'add_empty' => true)),
      'title'      => new sfWidgetFormFilterInput(),
      'created_at' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'updated_at' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
    ));

    $this->setValidators(array(
      'order'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'parent_id'  => new sfValidatorPropelChoice(array('required' => false, 'model' => 'CadenceStructure', 'column' => 'id')),
      'cadence_id' => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Cadence', 'column' => 'id')),
      'title'      => new sfValidatorPass(array('required' => false)),
      'created_at' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'updated_at' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
    ));

    $this->widgetSchema->setNameFormat('cadence_structure_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CadenceStructure';
  }

  public function getFields()
  {
    return array(
      'id'         => 'Number',
      'order'      => 'Number',
      'parent_id'  => 'ForeignKey',
      'cadence_id' => 'ForeignKey',
      'title'      => 'Text',
      'created_at' => 'Date',
      'updated_at' => 'Date',
    );
  }
}
