<?php

/**
 * CadenceStructure form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseCadenceStructureForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'order'      => new sfWidgetFormInput(),
      'parent_id'  => new sfWidgetFormPropelChoice(array('model' => 'CadenceStructure', 'add_empty' => true)),
      'cadence_id' => new sfWidgetFormPropelChoice(array('model' => 'Cadence', 'add_empty' => false)),
      'title'      => new sfWidgetFormInput(),
      'created_at' => new sfWidgetFormDateTime(),
      'updated_at' => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorPropelChoice(array('model' => 'CadenceStructure', 'column' => 'id', 'required' => false)),
      'order'      => new sfValidatorInteger(array('required' => false)),
      'parent_id'  => new sfValidatorPropelChoice(array('model' => 'CadenceStructure', 'column' => 'id', 'required' => false)),
      'cadence_id' => new sfValidatorPropelChoice(array('model' => 'Cadence', 'column' => 'id')),
      'title'      => new sfValidatorString(array('max_length' => 255)),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cadence_structure[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CadenceStructure';
  }


}
