<?php

/**
 * SessionAttachment form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseSessionAttachmentForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                  => new sfWidgetFormInputHidden(),
      'session_id'          => new sfWidgetFormPropelChoice(array('model' => 'Session', 'add_empty' => false)),
      'issue_number'        => new sfWidgetFormInput(),
      'order'               => new sfWidgetFormInput(),
      'zalacznik_id'        => new sfWidgetFormPropelChoice(array('model' => 'Zalacznik', 'add_empty' => false)),
      'zalacznik_kolejnosc' => new sfWidgetFormInput(),
      'zalacznik_widoczny'  => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'                  => new sfValidatorPropelChoice(array('model' => 'SessionAttachment', 'column' => 'id', 'required' => false)),
      'session_id'          => new sfValidatorPropelChoice(array('model' => 'Session', 'column' => 'id')),
      'issue_number'        => new sfValidatorInteger(array('required' => false)),
      'order'               => new sfValidatorInteger(array('required' => false)),
      'zalacznik_id'        => new sfValidatorPropelChoice(array('model' => 'Zalacznik', 'column' => 'id')),
      'zalacznik_kolejnosc' => new sfValidatorInteger(),
      'zalacznik_widoczny'  => new sfValidatorInteger(),
    ));

    $this->widgetSchema->setNameFormat('session_attachment[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'SessionAttachment';
  }


}
