<?php

class CadencePeer extends BaseCadencePeer
{
    /**
     * metoda zwracajaca maksymalna kolejnosc kadencji
     * @return      int max istniejaca kolejnosc kadencji
     * @author      Tomasz Glowinski, 2015
     */
    public static function getMaxOrdering()
    {
        $c = new CriteriaExt();
        $c->addAsColumn('max', 'MAX('.self::ORDER.')');
        $c->setLimit(1);
        $c->clearSelectColumns()
            ->addSelectColumn('MAX('.self::ORDER.') as max');
        $rs = self::doSelectStmt($c)->fetchAll(PDO::FETCH_ASSOC);
        if(empty($rs) || empty($rs[0]['max']))
            return 0;
        else
            return $rs[0]['max'];
    }
}