<?php


abstract class BaseSessionPubAttachmentPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'session_pub_attachment';

	
	const CLASS_DEFAULT = 'lib.model.SessionPubAttachment';

	
	const NUM_COLUMNS = 7;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'session_pub_attachment.ID';

	
	const SESSION_ID = 'session_pub_attachment.SESSION_ID';

	
	const ISSUE_NUMBER = 'session_pub_attachment.ISSUE_NUMBER';

	
	const ORDER = 'session_pub_attachment.ORDER';

	
	const ZALACZNIK_ID = 'session_pub_attachment.ZALACZNIK_ID';

	
	const ZALACZNIK_KOLEJNOSC = 'session_pub_attachment.ZALACZNIK_KOLEJNOSC';

	
	const ZALACZNIK_WIDOCZNY = 'session_pub_attachment.ZALACZNIK_WIDOCZNY';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'SessionId', 'IssueNumber', 'Order', 'ZalacznikId', 'ZalacznikKolejnosc', 'ZalacznikWidoczny', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'sessionId', 'issueNumber', 'order', 'zalacznikId', 'zalacznikKolejnosc', 'zalacznikWidoczny', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::SESSION_ID, self::ISSUE_NUMBER, self::ORDER, self::ZALACZNIK_ID, self::ZALACZNIK_KOLEJNOSC, self::ZALACZNIK_WIDOCZNY, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'session_id', 'issue_number', 'order', 'zalacznik_id', 'zalacznik_kolejnosc', 'zalacznik_widoczny', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'SessionId' => 1, 'IssueNumber' => 2, 'Order' => 3, 'ZalacznikId' => 4, 'ZalacznikKolejnosc' => 5, 'ZalacznikWidoczny' => 6, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'sessionId' => 1, 'issueNumber' => 2, 'order' => 3, 'zalacznikId' => 4, 'zalacznikKolejnosc' => 5, 'zalacznikWidoczny' => 6, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::SESSION_ID => 1, self::ISSUE_NUMBER => 2, self::ORDER => 3, self::ZALACZNIK_ID => 4, self::ZALACZNIK_KOLEJNOSC => 5, self::ZALACZNIK_WIDOCZNY => 6, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'session_id' => 1, 'issue_number' => 2, 'order' => 3, 'zalacznik_id' => 4, 'zalacznik_kolejnosc' => 5, 'zalacznik_widoczny' => 6, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new SessionPubAttachmentMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(SessionPubAttachmentPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(SessionPubAttachmentPeer::ID);

		$criteria->addSelectColumn(SessionPubAttachmentPeer::SESSION_ID);

		$criteria->addSelectColumn(SessionPubAttachmentPeer::ISSUE_NUMBER);

		$criteria->addSelectColumn(SessionPubAttachmentPeer::ORDER);

		$criteria->addSelectColumn(SessionPubAttachmentPeer::ZALACZNIK_ID);

		$criteria->addSelectColumn(SessionPubAttachmentPeer::ZALACZNIK_KOLEJNOSC);

		$criteria->addSelectColumn(SessionPubAttachmentPeer::ZALACZNIK_WIDOCZNY);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(SessionPubAttachmentPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			SessionPubAttachmentPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = SessionPubAttachmentPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return SessionPubAttachmentPeer::populateObjects(SessionPubAttachmentPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			SessionPubAttachmentPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(SessionPubAttachment $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof SessionPubAttachment) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or SessionPubAttachment object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = SessionPubAttachmentPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = SessionPubAttachmentPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = SessionPubAttachmentPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				SessionPubAttachmentPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinSessionPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(SessionPubAttachmentPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			SessionPubAttachmentPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(SessionPubAttachmentPeer::SESSION_ID,), array(SessionPubPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinZalacznikPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(SessionPubAttachmentPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			SessionPubAttachmentPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(SessionPubAttachmentPeer::ZALACZNIK_ID,), array(ZalacznikPubPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinSessionPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionPubAttachmentPeer::addSelectColumns($c);
		$startcol = (SessionPubAttachmentPeer::NUM_COLUMNS - SessionPubAttachmentPeer::NUM_LAZY_LOAD_COLUMNS);
		SessionPubPeer::addSelectColumns($c);

		$c->addJoin(array(SessionPubAttachmentPeer::SESSION_ID,), array(SessionPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = SessionPubAttachmentPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = SessionPubAttachmentPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = SessionPubAttachmentPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				SessionPubAttachmentPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = SessionPubPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = SessionPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = SessionPubPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					SessionPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addSessionPubAttachment($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinZalacznikPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionPubAttachmentPeer::addSelectColumns($c);
		$startcol = (SessionPubAttachmentPeer::NUM_COLUMNS - SessionPubAttachmentPeer::NUM_LAZY_LOAD_COLUMNS);
		ZalacznikPubPeer::addSelectColumns($c);

		$c->addJoin(array(SessionPubAttachmentPeer::ZALACZNIK_ID,), array(ZalacznikPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = SessionPubAttachmentPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = SessionPubAttachmentPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = SessionPubAttachmentPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				SessionPubAttachmentPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = ZalacznikPubPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = ZalacznikPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = ZalacznikPubPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					ZalacznikPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addSessionPubAttachment($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(SessionPubAttachmentPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			SessionPubAttachmentPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(SessionPubAttachmentPeer::SESSION_ID,), array(SessionPubPeer::ID,), $join_behavior);
		$criteria->addJoin(array(SessionPubAttachmentPeer::ZALACZNIK_ID,), array(ZalacznikPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionPubAttachmentPeer::addSelectColumns($c);
		$startcol2 = (SessionPubAttachmentPeer::NUM_COLUMNS - SessionPubAttachmentPeer::NUM_LAZY_LOAD_COLUMNS);

		SessionPubPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (SessionPubPeer::NUM_COLUMNS - SessionPubPeer::NUM_LAZY_LOAD_COLUMNS);

		ZalacznikPubPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (ZalacznikPubPeer::NUM_COLUMNS - ZalacznikPubPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(SessionPubAttachmentPeer::SESSION_ID,), array(SessionPubPeer::ID,), $join_behavior);
		$c->addJoin(array(SessionPubAttachmentPeer::ZALACZNIK_ID,), array(ZalacznikPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = SessionPubAttachmentPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = SessionPubAttachmentPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = SessionPubAttachmentPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				SessionPubAttachmentPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = SessionPubPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = SessionPubPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = SessionPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					SessionPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addSessionPubAttachment($obj1);
			} 
			
			$key3 = ZalacznikPubPeer::getPrimaryKeyHashFromRow($row, $startcol3);
			if ($key3 !== null) {
				$obj3 = ZalacznikPubPeer::getInstanceFromPool($key3);
				if (!$obj3) {

					$omClass = ZalacznikPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					ZalacznikPubPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addSessionPubAttachment($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAllExceptSessionPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			SessionPubAttachmentPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(SessionPubAttachmentPeer::ZALACZNIK_ID,), array(ZalacznikPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinAllExceptZalacznikPub(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			SessionPubAttachmentPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(SessionPubAttachmentPeer::SESSION_ID,), array(SessionPubPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinAllExceptSessionPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionPubAttachmentPeer::addSelectColumns($c);
		$startcol2 = (SessionPubAttachmentPeer::NUM_COLUMNS - SessionPubAttachmentPeer::NUM_LAZY_LOAD_COLUMNS);

		ZalacznikPubPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (ZalacznikPubPeer::NUM_COLUMNS - ZalacznikPubPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(SessionPubAttachmentPeer::ZALACZNIK_ID,), array(ZalacznikPubPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = SessionPubAttachmentPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = SessionPubAttachmentPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = SessionPubAttachmentPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				SessionPubAttachmentPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = ZalacznikPubPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = ZalacznikPubPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = ZalacznikPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					ZalacznikPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addSessionPubAttachment($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinAllExceptZalacznikPub(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionPubAttachmentPeer::addSelectColumns($c);
		$startcol2 = (SessionPubAttachmentPeer::NUM_COLUMNS - SessionPubAttachmentPeer::NUM_LAZY_LOAD_COLUMNS);

		SessionPubPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (SessionPubPeer::NUM_COLUMNS - SessionPubPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(SessionPubAttachmentPeer::SESSION_ID,), array(SessionPubPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = SessionPubAttachmentPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = SessionPubAttachmentPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = SessionPubAttachmentPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				SessionPubAttachmentPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = SessionPubPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = SessionPubPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = SessionPubPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					SessionPubPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addSessionPubAttachment($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return SessionPubAttachmentPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(SessionPubAttachmentPeer::ID);
			$selectCriteria->add(SessionPubAttachmentPeer::ID, $criteria->remove(SessionPubAttachmentPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(SessionPubAttachmentPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												SessionPubAttachmentPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof SessionPubAttachment) {
						SessionPubAttachmentPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(SessionPubAttachmentPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								SessionPubAttachmentPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(SessionPubAttachment $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(SessionPubAttachmentPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(SessionPubAttachmentPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(SessionPubAttachmentPeer::DATABASE_NAME, SessionPubAttachmentPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = SessionPubAttachmentPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = SessionPubAttachmentPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(SessionPubAttachmentPeer::DATABASE_NAME);
		$criteria->add(SessionPubAttachmentPeer::ID, $pk);

		$v = SessionPubAttachmentPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(SessionPubAttachmentPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(SessionPubAttachmentPeer::DATABASE_NAME);
			$criteria->add(SessionPubAttachmentPeer::ID, $pks, Criteria::IN);
			$objs = SessionPubAttachmentPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseSessionPubAttachmentPeer::DATABASE_NAME)->addTableBuilder(BaseSessionPubAttachmentPeer::TABLE_NAME, BaseSessionPubAttachmentPeer::getMapBuilder());

