<?php if($field->isPartial()): ?>
    <?php include_partial('cadence/'.$name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php elseif($field->isComponent()): ?>
    <?php include_component('cadence', $name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php else: ?>
    <tr>
        <td class="label_right" style="width: 160px;"><?php echo $form[$name]->renderLabel($label) ?>:</td>

        <td>
            <?php echo $form[$name]->renderError(); ?>
            <?php echo $form[$name]->render($attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes); ?>                
        </td>
    </tr>
    
    <tr>
        <td>&nbsp;</td>
        <td class="help">
            <?php if($help): ?>
                <div class="help"><?php echo __($help, array(), 'messages') ?></div>
            <?php elseif($help = $form[$name]->renderHelp()): ?>
                <div class="help"><?php echo $help ?></div>
            <?php endif; ?>
        </td>
    </tr>
<?php endif; ?>
