<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>
<hr />

<div id="tab-container-1<?php echo $form->getObject()->getId() ?>">
    <?php echo form_tag_for($form, '@session', array('name' => 'cadence_session_form')) ?>
    <?php echo $form->renderHiddenFields() ?>

    <ul class="error_list">
        <?php foreach($form->getErrorsNice() as $key => $value): ?>
            <li><?php echo $key ?>. <?php echo $value ?></li>
        <?php endforeach; ?>
    </ul>

    <div class="cl"></div>

    <ul class="info_tabs" id="tab-container-1<?php echo $form->getObject()->getId() ?>-nav">
        <li><a href="#tab0"><?php echo __('Dane podstawowe') ?></a></li>
        <li><a href="#tab1"><?php echo __('Treść') ?></a></li>
        <li><a href="#tab2"><?php echo __('Załączniki') ?></a></li>
    </ul>

    <div class="cl"></div>

    <?php $tabs_nr = 0; ?>
    <?php foreach($configuration->getFormFields($form, $form->isNew() ? 'new' : 'edit') as $fieldset => $fields): ?>
        <div id="tab<?php echo $tabs_nr; ?>" class="zakladki">
            <?php include_partial('cadence_session/form_fieldset', array('session' => $session, 'form' => $form, 'fields' => $fields, 'fieldset' => $fieldset)) ?>
        </div>
    <?php endforeach; ?>

    <div id="tab2" class="zakladki">
        <fieldset class="editor">
            <legend><?php echo __('Załączniki') ?></legend>
            <?php if(!$form->isNew()): ?>
                <iframe src="<?php echo url_for('cadence_session_attachment/index?seso='.$session->getId()) ?>" style="overflow: auto; height: 450px; width: 630px; border: none;" frameborder="0" marginwidth="0" marginheight="0"></iframe>
                <span class="help">
                    <?php echo __('Aby załadować załącznik użyj przycisku "Przegladaj" i wskaż wybrany plik.') ?><br />
                    <?php echo __('Jeśli umieścisz więcej załączników możesz zmienić ich kolejność wyświetlania na stronie.') ?><br />
                </span>
            <?php else: ?>
                <span class="error"><?php echo __('Aby dodać załączniki musisz zapisać sesję.') ?></span>
            <?php endif; ?>
        </fieldset>
    </div>
    <div class="cl"></div>

    <div style="float: right;">
        <?php include_partial('cadence_session/form_actions', array('session' => $session, 'form' => $form, 'configuration' => $configuration, 'helper' => $helper)) ?>
    </div>
    <?php echo '</form>'; ?>
</div>

<?php javascript_tag(); ?>
var tabber1 = new Yetii({
id: 'tab-container-1<?php echo $form->getObject()->getId() ?>',
tabclass: 'zakladki'
<?php if(!$form->isNew()): ?>
    ,persist: true
<?php endif; ?>
});
<?php end_javascript_tag(); ?>
