<?php slot('top'); ?>
<?php GenerateTab('seso'); ?>
<?php end_slot(); ?>

<?php slot('actions'); ?>
<?php GenerateButton(6, __('Dodaj'), "document.location.href=('".url_for('cadence_session/new')."');"); ?>
<?php end_slot(); ?>

<?php slot('message'); ?>
<span id="updater">
    <?php include_partial('frontend/flashes'); ?>
</span>
<?php end_slot(); ?>

<?php use_helper('I18N', 'Date') ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <?php /** ?>
            <div class="center_item_title">
                <div class="menu_icon_25"></div>
                <?php echo __('FILTR SESJI') ?>
            </div>
            <div class="center_item" onclick="Element.toggle('filters');">
                <div class="menu_icon_7"></div>
                <?php echo __('Szukanie zaawansowane') ?>
            </div>

            <?php if(!empty($filtry)): ?>
                <div class="bgr_filter_title">- <?php echo __('AKTYWNY FILTR') ?> -</div>
                <?php $style = ''; ?>
            <?php else: ?>
                <?php $style = 'style="display: none;"'; ?>
            <?php endif; ?>

            <div <?php echo $style ?> id="filters" class="bgr_filter">
                <?php include_partial('cadence_session/filters', array('form' => $filters, 'configuration' => $configuration)); ?>
            </div>
            <?php /**/ ?>
            <?php include_partial('cadence_session/content_menu'); ?>
            <div class="center_item_title">
                <div class="menu_icon_25"></div>
            </div>
        </div>
    </div>


    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('SESJE OBRAD') ?></div>

        <form action="<?php echo url_for('session_collection', array('action' => 'batch')) ?>" method="post">
            <?php include_partial('cadence_session/list', array('pager' => $pager, 'sort' => $sort, 'helper' => $helper)) ?>
            <?php if($sf_user->checkPermission('news_global', 'publish') == 1): ?>
                <div style="margin: 4px 0px 0px 0px; float: left;">
                    <?php include_partial('cadence_session/list_batch_actions', array('helper' => $helper)) ?>
                </div>
                <div style="margin: 4px 0px 0px 0px; float: right;">
                    <?php include_partial('cadence_session/list_actions', array('helper' => $helper)) ?>
                </div>
            <?php endif; ?>
        </form>
    </div>

</div>
