
    <?php use_helper('Javascript', 'Url') ?>
    <?php use_stylesheet('admin/default.css'); ?>
    <?php use_stylesheet('admin/aktualnosci.css'); ?>

    <?php use_javascript('/sfProtoculousPlugin/js/prototype.js', 'last') ?>
    <?php use_javascript('/sfProtoculousPlugin/js/scriptaculous?builder,effects', 'last'); ?>

    <?php $abs_url = public_path('', true); ?>

    <?php
    $i = 0;
    $st = 1;
    ?>

    <style type="text/css">
        /* <![CDATA[ */
        body { background-color: #fff; }
        .label_right, td, th { font-size: 12px; }
        /* ]]> */
        .sortable { cursor: default; }
        .sortable:hover { background-color: #FFFFD9; }
    </style>

    <script type="text/javascript">
        function czyNazwaPliku() {
        var nazwa_pliku = $('file_file_name').value;
                var p lik = $('file_file_src').value;
                var komunikat = "";
                if (nazwa_pliku == '') {
        k omunikat += '<?php echo __('Podaj nazwę załącznika') ?> ! \n';
        }

        if (plik == '') {
        komunikat += '<?php echo __('Wskaż plik na swoim komputerze') ?> ! \n';
        }

        if (komunikat != "") {
        alert(komunikat);
                return false;
        }

        return true;
        }
    </script>

    <fieldset class="zalaczniki">
        <legend><?php echo __('Dodaj nowy plik') ?></legend>
        <form action="<?php echo url_for('cadence_session_attachment/index?seso='.$session_id); ?>"  method="post" enctype="multipart/form-data" onsubmit="return czyNazwaPliku();" >
            <table class="zalaczniki">
                <tfoot>
                    <tr>
                        <td colspan="2">
                            <?php echo $form->renderHiddenFields() ?>
                            <input type="submit" value="<?php echo __('Zapisz plik') ?>" class="big_save" style="float:right;" />
                        </td>
                    </tr>
                </tfoot>

                <tbody>
                    <?php echo $form->renderGlobalErrors() ?>
                    <tr>
                        <th><?php echo $form['file_name']->renderLabel(null, array('class' => 'ofe_label_1')) ?></th>
                        <td>
                            <?php echo $form['file_name']->renderError() ?>
                            <?php echo $form['file_name']->render(array('style' => 'width:275px')) ?>
                        </td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['file_name']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['file_src']->renderLabel(null, array('class' => 'ofe_label_1')) ?></th>
                        <td>
                            <?php echo $form['file_src']->renderError() ?>
                            <?php echo $form['file_src'] ?>
                        </td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['file_src']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['issue_id']->renderLabel(null, array('class' => 'ofe_label_1')) ?></th>
                        <td>
                            <?php echo $form['issue_id']->renderError() ?>
                            <?php echo $form['issue_id'] ?>
                        </td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['issue_id']->renderHelp() ?></td></tr>
                    <tr>
                        <th><?php echo $form['file_desc']->renderLabel(null, array('class' => 'ofe_label_1')) ?></th>
                        <td>
                            <?php echo $form['file_desc']->renderError() ?>
                            <?php echo $form['file_desc']->render(array('style' => 'width:270px;')) ?>
                        </td>
                    </tr>
                    <tr><th></th><td class="help"><?php echo $form['file_desc']->renderHelp() ?></td></tr>
                </tbody>
            </table>
        </form>
    </fieldset>

    <div class="cl"></div>

    <div id="feedback" style="float: right;"></div>
    <fieldset class="zalaczniki">
        <legend><?php echo __('Dodane pliki') ?></legend>
        <?php if((isset($zalaczniki)) && (sizeof($zalaczniki) > 0)): ?>
            <table class="table_list" border="0" cellpadding="0" cellspacing="0" >
                <thead>
                    <tr>
                        <th width="16%" align="left"><?php echo __('Tytuł załącznika'); ?></th>
                        <th width="22%" align="left"><?php echo __('Opis załącznika'); ?></th>
                        <th width="22%" align="center"><?php echo __('Punkt obrad'); ?></th>
                        <th width="10%" align="left"><?php echo __('Rozmiar'); ?></th>
                        <th width="10%" align="center"><?php echo __('Ilość pobrań'); ?></th>
                        <th width="30%" align="center"><?php echo __('Akcje'); ?></th>
                    </tr>
                </thead>

                <tbody>
                </tbody>

            </table>

            <ul id="order">
                <?php foreach($zalaczniki as $zalacznik): ?>
                    <?php
                    if($st == 0)
                    {
                        $st = 1;
                    }
                    else
                    {
                        $st = 0;
                    }
                    ?>
                    <li id="item_<?php echo $zalacznik->getId() ?>" class="sortable">
                        <table align="center" cellpadding="1" cellspacing="1" style="width: 100%; border: none;">
                            <tr class="row_<?php echo $st; ?>">
                                <td width="16%" align="left" class="name" style="cursor: move;">
                                    <?php echo $zalacznik->getZalacznik()->getNazwa(); ?>
                                </td>
                                <td width="22%" align="left">
                                    <?php echo $zalacznik->getZalacznik()->getOpis(); ?>
                                </td>
                                <td width="22%" align="center" style="cursor: default;">
                                    <?php echo $issue_list[$zalacznik->getIssueNumber()]; ?>
                                </td>
                                <td width="10%" align="left">
                                    <?php
                                    $size = $zalacznik->getZalacznik()->getRozmiarPliku();
                                    echo formatujRozmiar($size);
                                    ?>
                                </td>
                                <td width="10%" align="center">
                                    <?php echo $zalacznik->getZalacznik()->getPobran(); ?>
                                </td>
                                <td width="30%" align="left">
                                    <?php echo button_to_function(__('Skasuj'), "if(confirm('".__("Czy napewno skasować")."?')) document.location.href=('".url_for('cadence_session_attachment/delete?zal='.$zalacznik->getZalacznikId().'&seso='.$zalacznik->getSessionId())."')", array('class' => 'min_del', 'title' => __('skasuj'))); ?>

                                    <?php if(isset($zalaczniki[$i + 1])): ?>
                                        <?php echo button_to_function(__('W dół'), "document.location.href=('".url_for('cadence_session_attachment/changeOrder?zal1='.$zalacznik->getId().'&zal2='.$zalaczniki[$i + 1]->getId().'&seso='.$zalacznik->getSessionId())."')", array('class' => 'min_dn', 'title' => __('przenieś w dół'))); ?>
                                    <?php endif; ?>

                                    <?php if(isset($zalaczniki[$i - 1])): ?>
                                        <?php echo button_to_function(__('W górę'), "document.location.href=('".url_for('cadence_session_attachment/changeOrder?zal1='.$zalacznik->getId().'&zal2='.$zalaczniki[$i - 1]->getId().'&seso='.$zalacznik->getSessionId())."')", array('class' => 'min_up', 'title' => __('przenieś w górę'))); ?>
                                    <?php endif; ?>

                                    <?php if($zalacznik->getZalacznikWidoczny() == 1): ?>
                                        <?php echo link_to(image_tag('admin/ukryj.png', array('title' => __('Ukryj załącznik'), 'style' => 'padding-top: 2px;')), 'cadence_session_attachment/setVisible?zal='.$zalacznik->getId().'&seso='.$zalacznik->getSessionId().'&op=hide') ?>
                                    <?php else: ?>
                                        <?php echo link_to1(image_tag('admin/pokaz.png', array('title' => __('Pokaż załącznik'), 'style' => 'padding-top: 2px;')), 'cadence_session_attachment/setVisible?zal='.$zalacznik->getId().'&seso='.$zalacznik->getSessionId().'&op=show') ?>
                                    <?php endif; ?>
                                    
                                    <?php echo link_to(image_tag('admin/zapisz.jpg', array('title' => __('Pobierz załącznik'), 'style' => 'padding-top: 2px;')), "cadence_session_attachment/download?seso=".$zalacznik->getSessionId()."&file_id=".$zalacznik->getId()); ?>
                                </td>

                            </tr>
                        </table>
                    </li>
                    <?php $i++; ?>
                <?php endforeach; ?>
            </ul>

            <?php
            echo sortable_element('order', array(
                'url' => 'cadence_session_attachment/sortZalaczniki?seso='.$session_id,
                'update' => 'feedback',
                'script' => true,
                'handles' => "$$('#order li')",
            ))
            ?>

        <?php else: ?>
            <?php echo __("Brak załączników"); ?>
        <?php endif; ?>
    </fieldset>