<?php 

if(!empty($structure))
{
    echo '<nav class="component">';
    
    if(!empty($title))
        echo '<header class="belka"><h2 class="title"><span>'.$title.'</span></h2></header>';
    else
        echo '<header class="belka hidden-wcag"><h2 class="title"><span>Menu '.__(ModulPeer::getFromShort('seso')->getNazwa()).'</span></h2></header>';
    
    echo '<div class="showPortalMenu_menu">';
    foreach($structure as $cadence_id => $parent_tree)
    {
        echo '<div class="menu_level_1">';
        
        echo '<div class="level_1_item'.($cadence_id == $cadence ? '_select' : '').'">';
        echo link_to('<span>'.$cadences[$cadence_id].'</span>', 'sesje_obrad/index?cadence_id='.$cadence_id);
        echo '</div>'; // level_1_item
        
        echo '<div class="menu_level_2">';
        foreach($parent_tree as $parent_id => $position_tree)
        {
            
            echo '<div class="level_2_item'.($parent_id == $parent ? '_select' : '').'">';
            echo link_to($positions[$parent_id], 'sesje_obrad/index?parent_id='.$parent_id);
            echo '</div>'; // level_2_item
            
            echo '<div class="menu_level_3">';
            foreach($position_tree as $position_id => $session_tree)
            {
                echo '<div class="level_3_item'.($position_id == $position ? '_select' : '').'">';
                echo link_to($positions[$position_id], 'sesje_obrad/index?position_id='.$position_id);
                echo '</div>'; // level_3_item
                
                echo '<div class="menu_level_4">';
                foreach($session_tree as $session_id => $session_title)
                {
                    echo '<div class="level_4_item'.($session_id == $session ? '_select' : '').'">';
                    echo link_to($session_title, 'sesje_obrad/show?id='.$session_id.'&junk='.Functions::slugify($session_title));
                    echo '</div>'; // level_4_item
                }
                echo '</div>'; // menu_level_4
            }
            echo '</div>'; // menu_level_3
        }
        echo '</div>'; // menu_level_2
        
        echo '</div>'; // menu_level_1
    }
    
    echo '</div>'; // showPortalMenu_menu
    echo '<div class="cl"></div>';
    echo '</nav>'; // component
}
?>