<?php
// [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
$shrink = false;

// [PRESET] kolumnowosc
$side_style = sfConfig::get('app_side_style');

// [PRESET] szerokosc zajawek
$zaj_width = 100;
if(is_int($side_style) && $side_style > 0)
    $zaj_width = round((100 - sfConfig::get('app_side_style_margin_precent') * ($side_style - 1)) / $side_style, 1);

// [PRESET] ilosc zajawek
$ilosc = count($pager->getResults());

// [PRESET] etykietowanie
if(method_exists('LabelsMapTblPeer', 'getLabel'))
    $label = LabelsMapTblPeer::getLabel(60, null);

$etykieta = '';
if(!empty($label))
    $etykieta = $label->getHtml();

// breadcrumbs *****************************************************************
//slot('navigator');
$path = array(__(ModulPeer::getFromShort('seso')->getNazwa()) => '@sesje_list');
//include_partial('Common/nawigator', array('path' => $path));
//end_slot();
$_SESSION['navigator_path'] = serialize($path);

// sf_content ******************************************************************
?>
<section class="component">
    <header class="belka">
        <h2 class="title"><?php echo $etykieta.__(ModulPeer::getFromShort('seso')->getNazwa()); ?></h2>
        <?php // include_component('sesje_obrad', 'wyszukiwarka'); // to jest to samo co menu, wiec nie ma po co dublowac, tym bardziej, ze to do niczego podobne nie jest  ?>
    </header>

    <?php
    if($pager->haveToPaginate())
    {
        include_partial('Common/pager', array('pager' => $pager, 'text' => __('Liczba sesji'), 'url' => $baseurl.'page='));
        echo '<div class="clr"></div>';
    }

    echo '<ul class="zaj-list switcher" id="'.$hash_id.'-switcher">';
    foreach($pager->getResults() as $key => $session)
    {
        if($key % sfConfig::get('app_side_style') == 0 || $side_style < 2)
            echo '<li class="zaj-wrapper" id="'.$hash_id.'-'.($side_style ? ($key / ($side_style ? $side_style : 1)) : $key).'" '.($dynamic ? 'style="position: absolute; opacity:'.($key ? '0' : '1').'"' : '').' >';

        $params = array('session' => $session, 'shrink' => $shrink, 'zaj_width' => $zaj_width);
        if($side_style > 1)
            $params['side_style'] = $key;

        include_partial('zajawka', $params);

        if($side_style < 2 && $key + 1 < $ilosc && !$dynamic)
            echo '<div class="cl"></div><div class="zaj_cl"></div>';

        if($side_style > 1 && $key + 1 < $ilosc && ($key % sfConfig::get('app_side_style') == sfConfig::get('app_side_style') - 1) && !$dynamic)
            echo '<div class="stretch"></div>';

        $v_space = $side_style && (($side_style - ($key % $side_style) - 2) > 0) ? sfConfig::get('app_side_style_margin_precent') * ($side_style - ($key % $side_style) - 2) : 0;

        if($side_style > 1 && $key + 1 == $ilosc && $key % sfConfig::get('app_side_style') < sfConfig::get('app_side_style') - 1)
            echo '<div class="filler" style="width: '.(($side_style - ($key % $side_style) - 1 ) * $zaj_width + $v_space).'%; height: 150px;"></div>';

        if($key % sfConfig::get('app_side_style') == sfConfig::get('app_side_style') - 1 || $key + 1 == $ilosc || $side_style < 2)
            echo '</li>';
    }
    echo '</ul>';

    if($pager->haveToPaginate())
    {
        echo '<div class="clr"></div>';
        include_partial('Common/pager', array('pager' => $pager, 'text' => __('Liczba sesji'), 'url' => $baseurl.'page='));
    }
    ?>
</section>

