<?php

/**
 * CadenceStructure form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class CadenceStructureForm extends BaseCadenceStructureForm
{

    public function configure()
    {
        $this->setWidget('title', new sfWidgetFormInput(array(), array('class' => 'required', 'style' => 'width: 293px;')));
        $cadence_crit = new CriteriaExt();
        $cadence_crit->addDescendingOrderByColumn(CadencePeer::ORDER);
        $this->setWidget('cadence_id', new sfWidgetFormPropelChoice(array('model' => 'Cadence', 'criteria' => $cadence_crit), array('class' => 'required', 'style' => 'width: 300px;')));
        $this->setWidget('parent_id', new sfWidgetFormSelect(array('choices' => CadenceStructurePeer::getSelectChoices()), array('style' => 'width: 300px;')));
        
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('<br/><span class="help">%help%</span>');
    }

}