<?php

/**
 * Session form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class SessionForm extends BaseSessionForm
{

    public function configure()
    {
        $cadence_crit = new CriteriaExt();
        $cadence_crit->addDescendingOrderByColumn(CadencePeer::ORDER);
        
        $this->setWidget('title', new sfWidgetFormInput(array(), array('class' => 'required', 'style' => 'width: 293px;')));
        $this->setWidget('cadence_id', new sfWidgetFormPropelChoice(array('model' => 'Cadence', 'criteria' => $cadence_crit), array('class' => 'required', 'style' => 'width: 300px;')));
        $this->setWidget('struct_pos_id', new sfWidgetFormSelect(array('choices' => CadenceStructurePeer::getSelectAllChoices()), array('class' => 'required', 'style' => 'width: 300px;')));
        $this->setWidget('session_date', new sfWidgetFormInputDateRich(array(), array('class' => 'required', 'style' => 'width: 293px;')));
        $this->setWidget('description', new sfWidgetFormTextareaTinyMCEUser(
                array('width' => "630", 'height' => '500', 'can_be_adv' => true,
            'uploads_path' => ($this->isNew()) ? 'new' : '/uploads' . '/temp/sesje/sesja_' . $this->getObject()->getId() . '/',
                ), array('class' => 'tiny_mce')
        ));
                
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('<br/><span class="help">%help%</span>');
    }

}