<?php



class CadenceMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CadenceMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CadencePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CadencePeer::TABLE_NAME);
		$tMap->setPhpName('Cadence');
		$tMap->setClassname('Cadence');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addColumn('ORDER', 'Order', 'INTEGER', false, null);

		$tMap->addColumn('TITLE', 'Title', 'VARCHAR', true, 255);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

	} 
} 